|  | Home · All Classes · Modules

# QStyleOptionRubberBand Class Reference
[QtGui module]

The QStyleOptionRubberBand class is used to describe the parameters needed for drawing a rubber band. More...

Inherits QStyleOption.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionRubberBand other)

### Members

- bool opaque
- QRubberBand.Shape shape

## Detailed Description

The QStyleOptionRubberBand class is used to describe the parameters needed for drawing a rubber band.

QStyleOptionRubberBand contains all the information that QStyle functions need to draw QRubberBand.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

## Type Documentation

### QStyleOptionRubberBand.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionRubberBand.Type` | `SO_RubberBand` | The type of style option provided (SO_RubberBand for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionRubberBand.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionRubberBand.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionRubberBand.__init__ (self)

Creates a QStyleOptionRubberBand, initializing the members variables to their default values.

### QStyleOptionRubberBand.__init__ (self, QStyleOptionRubberBand other)

Constructs a copy of the other style option.

## Member Documentation

### bool opaque

This variable holds whether the rubber band is required to be drawn in an opaque style.

The default value is true.

### QRubberBand.Shape shape

This variable holds the shape of the rubber band.

The default shape is QRubberBand.Line.